# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['latex2mathml']

package_data = \
{'': ['*']}

entry_points = \
{'console_scripts': ['l2m = latex2mathml.converter:main',
                     'latex2mathml = latex2mathml.converter:main']}

setup_kwargs = {
    'name': 'latex2mathml',
    'version': '2.18.2',
    'description': 'Pure Python library for LaTeX to MathML conversion',
    'long_description': '# latex2mathml\n\nPure Python library for LaTeX to MathML conversion\n\n<table>\n    <tr>\n        <td>License</td>\n        <td><img src=\'https://img.shields.io/pypi/l/latex2mathml.svg\' alt="License"></td>\n        <td>Version</td>\n        <td><img src=\'https://img.shields.io/pypi/v/latex2mathml.svg\' alt="Version"></td>\n    </tr>\n    <tr>\n        <td>Travis CI</td>\n        <td><img src=\'https://www.travis-ci.com/roniemartinez/latex2mathml.svg?branch=master\' alt="Travis CI"></td>\n        <td>Coverage</td>\n        <td><img src=\'https://codecov.io/gh/roniemartinez/latex2mathml/branch/master/graph/badge.svg\' alt="CodeCov"></td>\n    </tr>\n    <tr>\n        <td>Supported versions</td>\n        <td><img src=\'https://img.shields.io/pypi/pyversions/latex2mathml.svg\' alt="Python Versions"></td>\n        <td>Wheel</td>\n        <td><img src=\'https://img.shields.io/pypi/wheel/latex2mathml.svg\' alt="Wheel"></td>\n    </tr>\n    <tr>\n        <td>Status</td>\n        <td><img src=\'https://img.shields.io/pypi/status/latex2mathml.svg\' alt="Status"></td>\n        <td>Downloads</td>\n        <td><img src=\'https://img.shields.io/pypi/dm/latex2mathml.svg\' alt="Downloads"></td>\n    </tr>\n</table>\n\n## Support\nIf you like `latex2mathml` or if it is useful to you, show your support by buying me a coffee.\n\n<a href="https://www.buymeacoffee.com/roniemartinez" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/default-orange.png" alt="Buy Me A Coffee" height="41" width="174"></a>\n\n## Installation\n\n```bash\npip install latex2mathml\n```\n\n## Usage\n\n### Python\n\n```python\nimport latex2mathml.converter\n\nlatex_input = "<your_latex_string>"\nmathml_output = latex2mathml.converter.convert(latex_input)\n```\n\n### Command-line\n\n```shell\n% latex2mathml -h\nusage: l2m [-h] [-V] [-t TEXT | -f FILE]\n\nPure Python library for LaTeX to MathML conversion\n\noptional arguments:\n  -h, --help            show this help message and exit\n  -V, --version         Show version\n\nrequired arguments:\n  -t TEXT, --text TEXT  Text\n  -f FILE, --file FILE  File\n```\n\n## Examples\n\n### Identifiers, Numbers and Operators\n\n<table>\n    <tr>\n        <th>LaTeX Input</th>\n        <th>MathML Output</th>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">x</pre></td>\n        <td valign="top"><pre lang="html">\n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mi&gt;x&lt;/mi&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">xyz</pre></td>\n        <td valign="top"><pre lang="html">\n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mi&gt;x&lt;/mi&gt;\n        &lt;mi&gt;y&lt;/mi&gt;\n        &lt;mi&gt;z&lt;/mi&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">3</pre></td>\n        <td valign="top"><pre lang="html">     \n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mn&gt;3&lt;/mn&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">444</pre></td>\n        <td valign="top"><pre lang="html">     \n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mn&gt;444&lt;/mn&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">12.34</pre></td>\n        <td valign="top"><pre lang="html">     \n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mn&gt;12.34&lt;/mn&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">12x</pre></td>\n        <td valign="top"><pre lang="html">     \n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mn&gt;12&lt;/mn&gt;\n        &lt;mi&gt;x&lt;/mi&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">3-2</pre></td>\n        <td valign="top"><pre lang="html">     \n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mn&gt;3&lt;/mn&gt;\n        &lt;mo&gt;&#x02212;&lt;/mo&gt;\n        &lt;mn&gt;2&lt;/mn&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n</table>\n\n### Subscripts and Superscripts\n\n<table>\n    <tr>\n        <th>LaTeX Input</th>\n        <th>MathML Output</th>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">a_b</pre></td>\n        <td valign="top"><pre lang="html">\n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;msub&gt;\n            &lt;mi&gt;a&lt;/mi&gt;\n            &lt;mi&gt;b&lt;/mi&gt;\n        &lt;/msub&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">a^b</pre></td>\n        <td valign="top"><pre lang="html">\n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;msup&gt;\n            &lt;mi&gt;a&lt;/mi&gt;\n            &lt;mi&gt;b&lt;/mi&gt;\n        &lt;/msup&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">a_b^c</pre></td>\n        <td valign="top"><pre lang="html">\n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;msubsup&gt;\n            &lt;mi&gt;a&lt;/mi&gt;\n            &lt;mi&gt;b&lt;/mi&gt;\n            &lt;mi&gt;c&lt;/mi&gt;\n        &lt;/msubsup&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n</table>\n\n### Fractions\n\n<table>\n    <tr>\n        <th>LaTeX Input</th>\n        <th>MathML Output</th>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">\\frac{1}{2}</pre></td>\n        <td valign="top"><pre lang="html">      \n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mfrac&gt;\n            &lt;mrow&gt;\n                &lt;mn&gt;1&lt;/mn&gt;\n            &lt;/mrow&gt;\n            &lt;mrow&gt;\n                &lt;mn&gt;2&lt;/mn&gt;\n            &lt;/mrow&gt;\n        &lt;/mfrac&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n</table>\n\n### Roots\n\n<table>\n    <tr>\n        <th>LaTeX Input</th>\n        <th>MathML Output</th>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">\\sqrt{2}</pre></td>\n        <td valign="top"><pre lang="html">      \n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;msqrt&gt;\n            &lt;mrow&gt;\n                &lt;mn&gt;2&lt;/mn&gt;\n            &lt;/mrow&gt;\n        &lt;/msqrt&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">\\sqrt[3]{2}</pre></td>\n        <td valign="top"><pre lang="html"> \n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mroot&gt;\n            &lt;mrow&gt;\n                &lt;mn&gt;2&lt;/mn&gt;\n            &lt;/mrow&gt;\n            &lt;mrow&gt;\n                &lt;mn&gt;3&lt;/mn&gt;\n            &lt;/mrow&gt;\n        &lt;/mroot&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n</table>\n\n### Matrices\n\n<table>\n    <tr>\n        <th>LaTeX Input</th>\n        <th>MathML Output</th>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">\\begin{matrix}a & b \\\\ c & d \\end{matrix}</pre></td>\n        <td valign="top"><pre lang="html">\n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mtable&gt;\n            &lt;mtr&gt;\n                &lt;mtd&gt;\n                    &lt;mi&gt;a&lt;/mi&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;mi&gt;b&lt;/mi&gt;\n                &lt;/mtd&gt;\n            &lt;/mtr&gt;\n            &lt;mtr&gt;\n                &lt;mtd&gt;\n                    &lt;mi&gt;c&lt;/mi&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;mi&gt;d&lt;/mi&gt;\n                &lt;/mtd&gt;\n            &lt;/mtr&gt;\n        &lt;/mtable&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">\\begin{matrix*}[r]a & b \\\\ c & d \\end{matrix*}</pre></td>\n        <td valign="top"><pre lang="html">\n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;mtable&gt;\n            &lt;mtr&gt;\n                &lt;mtd columnalign=\'right\'&gt;\n                    &lt;mi&gt;a&lt;/mi&gt;\n                &lt;/mtd&gt;\n                &lt;mtd columnalign=\'right\'&gt;\n                    &lt;mi&gt;b&lt;/mi&gt;\n                &lt;/mtd&gt;\n            &lt;/mtr&gt;\n            &lt;mtr&gt;\n                &lt;mtd columnalign=\'right\'&gt;\n                    &lt;mi&gt;c&lt;/mi&gt;\n                &lt;/mtd&gt;\n                &lt;mtd columnalign=\'right\'&gt;\n                    &lt;mi&gt;d&lt;/mi&gt;\n                &lt;/mtd&gt;\n            &lt;/mtr&gt;\n        &lt;/mtable&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n    <tr>\n        <td valign="top"><pre lang="latex">\nA_{m,n} = \n \\begin{bmatrix}\n  a_{1,1} & a_{1,2} & \\cdots & a_{1,n} \\\\\n  a_{2,1} & a_{2,2} & \\cdots & a_{2,n} \\\\\n  \\vdots  & \\vdots  & \\ddots & \\vdots  \\\\\n  a_{m,1} & a_{m,2} & \\cdots & a_{m,n} \n \\end{bmatrix}\n        </pre></td>\n        <td valign="top"><pre lang="html">\n&lt;math&gt;\n    &lt;mrow&gt;\n        &lt;msub&gt;\n            &lt;mi&gt;A&lt;/mi&gt;\n            &lt;mrow&gt;\n                &lt;mi&gt;m&lt;/mi&gt;\n                &lt;mi&gt;,&lt;/mi&gt;\n                &lt;mi&gt;n&lt;/mi&gt;\n            &lt;/mrow&gt;\n        &lt;/msub&gt;\n        &lt;mo&gt;&#x0003D;&lt;/mo&gt;\n        &lt;mo&gt;&#x0005B;&lt;/mo&gt;\n        &lt;mtable&gt;\n            &lt;mtr&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mn&gt;1&lt;/mn&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mn&gt;1&lt;/mn&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mn&gt;1&lt;/mn&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mn&gt;2&lt;/mn&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;mo&gt;&#x022EF;&lt;/mo&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mn&gt;1&lt;/mn&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mi&gt;n&lt;/mi&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n            &lt;/mtr&gt;\n            &lt;mtr&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mn&gt;2&lt;/mn&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mn&gt;1&lt;/mn&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mn&gt;2&lt;/mn&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mn&gt;2&lt;/mn&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;mo&gt;&#x022EF;&lt;/mo&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mn&gt;2&lt;/mn&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mi&gt;n&lt;/mi&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n            &lt;/mtr&gt;\n            &lt;mtr&gt;\n                &lt;mtd&gt;\n                    &lt;mo&gt;&#x022EE;&lt;/mo&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;mo&gt;&#x022EE;&lt;/mo&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;mo&gt;&#x022F1;&lt;/mo&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;mo&gt;&#x022EE;&lt;/mo&gt;\n                &lt;/mtd&gt;\n            &lt;/mtr&gt;\n            &lt;mtr&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mi&gt;m&lt;/mi&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mn&gt;1&lt;/mn&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mi&gt;m&lt;/mi&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mn&gt;2&lt;/mn&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;mo&gt;&#x022EF;&lt;/mo&gt;\n                &lt;/mtd&gt;\n                &lt;mtd&gt;\n                    &lt;msub&gt;\n                        &lt;mi&gt;a&lt;/mi&gt;\n                        &lt;mrow&gt;\n                            &lt;mi&gt;m&lt;/mi&gt;\n                            &lt;mi&gt;,&lt;/mi&gt;\n                            &lt;mi&gt;n&lt;/mi&gt;\n                        &lt;/mrow&gt;\n                    &lt;/msub&gt;\n                &lt;/mtd&gt;\n            &lt;/mtr&gt;\n        &lt;/mtable&gt;\n        &lt;mo&gt;&#x0005D;&lt;/mo&gt;\n    &lt;/mrow&gt;\n&lt;/math&gt;\n        </pre></td>\n    </tr>\n</table>\n\n## References\n### LaTeX\n\n- https://en.wikibooks.org/wiki/LaTeX/Mathematics\n- http://artofproblemsolving.com/wiki/index.php?title=Main_Page\n- http://milde.users.sourceforge.net/LUCR/Math/\n- https://math-linux.com/latex-26/faq/latex-faq/article/latex-derivatives-limits-sums-products-and-integrals\n\n### MathML\n\n- http://www.xmlmind.com/tutorials/MathML/\n\n\n## Author\n- [Ronie Martinez](mailto:ronmarti18@gmail.com)\n',
    'author': 'Ronie Martinez',
    'author_email': 'ronmarti18@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/roniemartinez/latex2mathml',
    'packages': packages,
    'package_data': package_data,
    'entry_points': entry_points,
    'python_requires': '>=3.6.2,<4',
}


setup(**setup_kwargs)
